REM  -----------------------------
REM  PC's Dokumentieren mit PSInfo
REM  -----------------------------

echo *** PC dokumentieren von IP=%1

Rem Weitreichende Informationen von PSList
rem pstools\pslist \\%1 -u %4 -p %5 > Cliente-Infos\PSList\%1.txt
pstools\pslist \\%1 > Cliente-Infos\PSList\%1.txt


rem ----------------------------------------------------------------------------------------------------------------
rem  usage: pslist [-?] [-d] [-m] [-x][-t][-s [n] [-r n]  [\\computer [-u username] [-p password]] [[-e] name | pid]
rem 
rem  -d		This switch has PsList show statistics for all active threads on the system, 
rem 		grouping threads with their owning process.
rem  -m 	This switch has PsList show memory-oriented information for each process, 
rem 		rather than the default of CPU-oriented information.
rem  -x		With this switch PsList shows CPU, memory and thread information for each 
rem		of the processes specified.
rem  -t		Show process tree.
rem  -s [n]	Run in task-manager mode, for optional seconds specified.
rem		Press Escape to abort.
rem  -r n	Task-manager mode refresh rate in seconds (default is 1).
rem  -u		Specifies optional user name for login to remote computer.
rem  -p		Specifies optional password for user name. 
rem		If you omit this you will be prompted to enter a hidden password.
rem  name	Instead of listing all the running processes in the system, 
rem 		this parameter narrows PsList's scan to those processes that begin 
rem 		with the name process. Thus:
rem			pslist exp
rem 		would statistics for all the processes that start with "exp", 
rem		which would include Explorer.
rem  -e		Use the -e switch if you want the process name to be treated as an 
rem		exact match instead of a partial match.
rem  pid	Instead of listing all the running processes in the system, 
rem		this parameter narrows PsList's scan to the process that has the specified PID. Thus:
rem			pslist 53
rem 		would dump statistics for the process with the PID 53.
 

 
REM  Getestete Parameter
REM  -------------------
REM  -u -p      Sollte es ohne Benutzername und Passwort gehen sollte Sie diese Option nicht verwenden,
REM             da Sie sonst immer eine Besttigung des Passwortes eingeben mssen.
REM             pstools\psinfo \\%1 -u %4 -p %5 ......
REM             
REM             Weitere Parameter knnten nur als besondere Bedingung fr Aktionen benutz werden.
REM		Ich hab bis jetzt nur die Verwendung von bestimmten Programmen bentigt.
REM             Siehe -Bedingungen- Programm in Verwendung 
REM  name       klappt sehr gut.
