REM  --------------------------------
REM  PC's Dokumentieren mit PSService
REM  --------------------------------

echo *** PC dokumentieren von IP=%1

Rem Weitreichende Informationen von PSList
pstools\psservice \\%1 > Cliente-Infos\PSService\%1.txt


rem  ----------------------------------------------------------------------------
rem  PsService lists or controls services on a local or remote system.
rem 
rem  Usage: psservice [\\Computer [-u Username [-p Password]]] <cmd> <optns>
rem  Cmd is one of the following:
rem     query      Queries the status of a service
rem     config     Queries the configuration
rem     setconfig  Sets the configuration
rem     start      Starts a service
rem     stop       Stops a service
rem     restart    Stops and then restarts a service
rem     pause      Pauses a service
rem     cont       Continues a paused service
rem     depend     Enumerates the services that depend on the one specified
rem     find       Searches for an instance of a service on the network
rem  Use the username and password to log into the remote computer in cases where
rem  your account does not have permissions to perform the action you specify.
rem 
rem  Omitting a command queries the active services on the specified computer.
rem  Enter -? for help on a particular command.
 

 
REM  Getestete Parameter
REM  -------------------
REM  -u -p      Sollte es ohne Benutzername und Passwort gehen sollte Sie diese Option nicht verwenden,
REM             da Sie sonst immer eine Besttigung des Passwortes eingeben mssen.
REM             pstools\psservice \\%1 -u %4 -p %5 ......
REM             
