rem --------------------------------
rem BATCH Nr. 4
rem Bedingung zur Aktion erfllt?
rem --------------------------------
rem Dienst gestartet?
rem --------------------------------

rem ### Ist der Nachrichtendienst gestartet
pstools\psservice \\%1 query Messenger > c:\psservice.txt

find "4  RUNNING" c:\psservice.txt >>NUL
IF %ERRORLEVEL% == 1 GOTO starten
echo ### OK auf %1
goto beenden

:starten
echo ### Der Nachrintendienst ist nicht gestratet auf %1
call aktion.bat %1 %2 %3 %4 %5

:beenden


rem  ----------------------------------------------------------------------------
rem  PsService lists or controls services on a local or remote system.
rem 
rem  Usage: psservice [\\Computer [-u Username [-p Password]]] <cmd> <optns>
rem  Cmd is one of the following:
rem     query      Queries the status of a service
rem     config     Queries the configuration
rem     setconfig  Sets the configuration
rem     start      Starts a service
rem     stop       Stops a service
rem     restart    Stops and then restarts a service
rem     pause      Pauses a service
rem     cont       Continues a paused service
rem     depend     Enumerates the services that depend on the one specified
rem     find       Searches for an instance of a service on the network
rem  Use the username and password to log into the remote computer in cases where
rem  your account does not have permissions to perform the action you specify.
rem 
rem  Omitting a command queries the active services on the specified computer.
rem  Enter -? for help on a particular command.

REM  getestete Parameter
REM  -------------------
REM
REM  Fr eine Abfrage ob ein Dienst gestartet ist eignet sich 
REM     query
REM  mit anschlieender Angabe des Dienstes.
REM
REM  Um den Namen des Dienstes zu ermitteln starten Sie diesen auf Ihrem Testrechner
REM  und schreiben die Ergebnisse in eine Test.txt (psservice \\91.0.99.1 > test.txt)
REM
REM  	SERVICE_NAME: Messenger
REM  	DISPLAY_NAME: Nachrichtendienst
REM  	Sendet und empfngt Nachrichten, die von Administratoren oder vom Warndienst bertragen wurden.
REM  		TYPE		  : 20 WIN32_SHARE_PROCESS 
REM  		STATE		  : 4  RUNNING
REM  				       (STOPPABLE,NOT_PAUSABLE,ACCEPTS_SHUTDOWN)
REM  		WIN32_EXIT_CODE	  : 0  (0x0)
REM  		SERVICE_EXIT_CODE : 0  (0x0)
REM  		CHECKPOINT	  : 0x0
REM  		WAIT_HINT	  : 0x0
REM
REM  Die Auswertung ob der Dienst gestartet ist luft auf "4  RUNNING".
